Bloss Docs

Brands you create for

Developers
GET
/creator/brands

Every brand you're a creator in, with your status there (trial, active or paused), when you joined, your trial progress while in trial, and your referral invite links.

Authorization

bearerAuth creator:read
headerAuthorizationBearer <token>

Personal access token. Scopes: account:read, creator:read, creator:earnings, managed:read, coach:read, brand:read, creators:read, videos:read, analytics:read, recruitment:read, engagement:read, support:read, integrations:read, payouts:read, funds:read, billing:read.

Scope: creator:read

Response Body

Success.

application/json
  1. response
data*array<>
curl -X GET 'https://example.com/api/v1/creator/brands'
{  "data": [    {      "id": "string",      "name": "string",      "slug": "string",      "status": "string",      "joinedAt": "string",      "trial": {        "enabled": true,        "inTrial": true,        "completed": true,        "skipped": true,        "qualifyingVideos": 0,        "videoGoal": 0,        "viewGoal": 0,        "videosRemaining": 0,        "progressPercent": 0,        "totalViews": 0,        "totalVideos": 0,        "daysRemaining": 0,        "trialDays": 0,        "startsAt": "string",        "endsAt": "string"      },      "inviteLinks": [        {          "code": "string",          "url": "string",          "label": "string",          "uses": 0,          "maxUses": 0,          "active": true,          "expiresAt": "string",          "createdAt": "string"        }      ]    }  ]}

Was this page helpful?